### Function

# Pangomarkup_parser_finish

since: 1.31.0

#### Declaration [src]

    gboolean
    pango_markup_parser_finish (
      GMarkupParseContext* context,
      PangoAttrList** attr_list,
      char** text,
      gunichar* accel_char,
      GError** error
    )

#### Description [src]

Finishes parsing markup.

After feeding a Pango markup parser some data with `g_markup_parse_context_parse()`, use this function to get the list of attributes and text out of the markup. This function will not free `context`, use `g_markup_parse_context_free()` to do so.

Available since: 1.31.0

#### Parameters

`context`

  Type: `GMarkupParseContext`

  A valid parse context that was returned from `pango_markup_parser_new()`

  The data is owned by the caller of the function.

`attr_list`

  Type: `PangoAttrList`

  Address of return location for a `PangoAttrList`

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the data, and is responsible for freeing it.

`text`

  Type: `char**`

  Address of return location for text with tags stripped.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`accel_char`

  Type: `gunichar*`

  Address of return location for accelerator char.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`FALSE` if `error` is set, otherwise `TRUE`.